Skip to main content
POST
/
reports
/
urls
Get URLs Report
curl --request POST \
  --url https://api.peec.ai/customer/v1/reports/urls \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "project_id": "or_f45b94ba-5e35-4982-93ed-285e72ee14eb",
  "limit": 1000,
  "offset": 0,
  "start_date": "2025-09-22",
  "end_date": "2025-09-22",
  "dimensions": [
    "tag_id",
    "model_id"
  ],
  "filters": [
    {
      "field": "url",
      "operator": "in",
      "values": [
        "https://example.com/page"
      ]
    }
  ]
}
'
{
  "data": [
    {
      "url": "https://example.com/blog/page1#header",
      "classification": "HOMEPAGE",
      "title": "<string>",
      "usage_count": 8,
      "citation_count": 4,
      "citation_avg": 2.5,
      "retrievals": 8,
      "citation_rate": 0.5,
      "country_code": "US",
      "date": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

project_id
string

Required if using a company api key

Example:

"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"

Body

project_id
string

Required if using a company api key

Example:

"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"

limit
number
default:1000
Required range: 1 <= x <= 10000
offset
number
default:0
Required range: x >= 0
start_date
string<date>
default:2026-01-01

full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2025-09-22"

end_date
string<date>
default:2026-01-01

full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2025-09-22"

dimensions
enum<string>[]

Dimensions to break down the report by.

Available options:
prompt_id,
model_id,
tag_id,
topic_id,
date,
country_code,
chat_id
Example:
["tag_id", "model_id"]
filters
object[]

Filter results by specific fields. Multiple filters are AND'd together.

Example:
[
{
"field": "url",
"operator": "in",
"values": ["https://example.com/page"]
}
]

Response

200 - application/json

Success

Success

data
object[]
required